## Modulemd.ServiceLevel (Private) Modulemd.ServiceLevel (Private) — ModulemdServiceLevel methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdServiceLevel * | modulemd_service_level_parse_yaml ()
gboolean | modulemd_service_level_emit_yaml ()
gboolean | modulemd_service_level_equals_wrapper ()

## Description

## Functions

### modulemd_service_level_parse_yaml ()

    ModulemdServiceLevel *
    modulemd_service_level_parse_yaml (yaml_parser_t *parser,
                                       const gchar *name,
                                       gboolean strict,
                                       GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of a Service Level entry in the YAML document. | [inout]
name | The name of this service level. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdServiceLevel object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_service_level_emit_yaml ()

    gboolean
    modulemd_service_level_emit_yaml (ModulemdServiceLevel *self,
                                      yaml_emitter_t *emitter,
                                      GError **error);

#### Parameters

self | This ModulemdServiceLevel object. |
emitter | A libyaml emitter object positioned where a Service Level entry belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the service level was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_service_level_equals_wrapper ()

    gboolean
    modulemd_service_level_equals_wrapper (const void *a,
                                           const void *b);

#### Parameters

a | A const void pointer. |
b | A const void pointer. |

#### Returns

TRUE, if both arguments are pointers to equivalent ModulemdServiceLevel objects. FALSE, otherwise.

Since: 2.5